Tell jenkins that the math exention depends on wikidata
Closed, ResolvedPublic

Description

There is a file that models the dependenies between extensions.
For instance MathSearch is dependent on Math which is depenet on VE.
In https://gerrit.wikimedia.org/r/#/c/259167/21/tests/MathFormatterTest.php tests for the Wikidata functionality of the Math extension are added.
However, the tests fail since since Jenkins is not aware of the Wikidata classes.

Physikerwelt updated the task description. (Show Details)
Physikerwelt raised the priority of this task from to Normal.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 30 2015, 3:50 PM
Physikerwelt renamed this task from Tell jenkins the the math exention depends on wikidata to Tell jenkins that the math exention depends on wikidata.Dec 30 2015, 3:50 PM
Physikerwelt set Security to None.
hashar added a comment.Jan 4 2016, 8:43 PM

From our IRC conversation

The dependencies are manually defined in integration/config.git:/zuul/ext_dependencies.py

Whenever Zuul detects a change is for Math it will pass a parameter containing Wikibase and some script will then install Math + the Wikibase extension. Then install.php && phpunit.

Most extensions use a generic job mwext-testextension-zend which has no idea about the actual dependencies to use so in the python files you would:

-	'Math': ['VisualEditor'],
+	'Math': ['VisualEditor', 'Wikibase'],

And that might just work.

Drawback is bunch of Wikibase tests will be run for Math changes and if Wikibase ever has a regression, your Math jobs will start falling because Wikibase doesn't trigger the Math tests.

We have another generic job named mediawiki-extensions-hhvm , which has an hardcoded list of extensions. It does not have Wikibase yet though. The .plan / pet project is to have that last job to be triggered by all extensions deployed on WMF and have it clone all those extensions

So ideally one day if a change to Wikibase breaks Math, it will be rejected till Math is adjusted to support the new Wikibase code

Change 262374 had a related patch set uploaded (by Physikerwelt):
Add dependency from Math tests to Wikidata

https://gerrit.wikimedia.org/r/262374

Change 262374 merged by jenkins-bot:
Add dependency from Math tests to Wikidata

https://gerrit.wikimedia.org/r/262374

JanZerebecki closed this task as Resolved.Jan 7 2016, 2:07 AM